org.apache.flume.serialization

## Class EventSerializerFactory

- java.lang.Object
- - org.apache.flume.serialization.EventSerializerFactory

-     @InterfaceAudience.Private
      @InterfaceStability.Stable
      public class EventSerializerFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventSerializerFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventSerializer` | `getInstance(String serializerType, Context context, OutputStream out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventSerializerFactory

          public EventSerializerFactory()

  - ### Method Detail

    - #### getInstance

          public static EventSerializer getInstance(String serializerType,
                                    Context context,
                                    OutputStream out)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.